<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BTreeDatabase..::.GetMultiple Method (UInt32)
BTreeDatabase Class See Also Send Feedback

Retrieve a specific numbered key and all duplicate data items from the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public KeyValuePair<DatabaseEntry, MultipleDatabaseEntry> GetMultiple(
    	uint recno
    )

Visual Basic (Declaration)

    Public Function GetMultiple ( _
    	recno As UInteger _
    ) As KeyValuePair(Of DatabaseEntry, MultipleDatabaseEntry)

Visual C++

    public:
    KeyValuePair<DatabaseEntry^, MultipleDatabaseEntry^> GetMultiple(
    	unsigned int recno
    )

#### Parameters

recno
  Type: System..::.UInt32
  The record number of the record to be retrieved.

#### Return Value

A KeyValuePair<(Of <(TKey, TValue>)>) whose Key parameter is recno and whose Value parameter is the retrieved data items.

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.NotFoundException | A NotFoundException is thrown if recno is not in the database.

# See Also

BTreeDatabase Class
GetMultiple Overload
BerkeleyDB Namespace